> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/catalog-api/units-of-measure.md).

# Unit of Measure

The Unit of Measure object allows SoftwareOne associates to add and manage units of measure and assign a unique ID to each unit type. Vendors can also access the available unit types.

This object contains the following attributes:

<table><thead><tr><th width="150">Field</th><th width="163">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td>(Read-only) A primary unit of measure identifier. </td></tr><tr><td><code>audit</code></td><td>object</td><td>(Read-only) Represents the <a href="/pages/RnSJqP4ZqAW7vD2MWeVM"><code>audit</code></a> object.</td></tr><tr><td><code>description</code></td><td>string</td><td>A description of the unit of measure. </td></tr><tr><td><code>name</code></td><td>string</td><td>(Read-only) The name of the unit of measure. </td></tr></tbody></table>

## Example

{% code title="UNIT OF MEASURE OBJECT" overflow="wrap" lineNumbers="true" %}

```json
{
  "id": "UNT-7362", 
  "audit": {
    "created": {
      "at": "<dateTime>",
      "by": {
        "id": "<string>"
      }
    },
    "updated": {
      "at": "<dateTime>",
      "by": {
        "id": "<string>"
      }
    }
  },
  "description": "A person who utilizes the service",
  "name": "User"
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/catalog-api/units-of-measure.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
